Sign in to follow this  
darth_damian_000

Confused about updating to 3.1

Recommended Posts

Hello. I just received the news that there is an update to P3D. Version 3.1 is out there, at about 10GB of size, and I want to make this big step.

However, I have absolutely no idea how to go about it.

 

1) LM says that we should uninstall the client from control panel, and install the 3.1 client. IS this the 10GB file that they are referring to?

2) I read that I will have to reactivate my product. LM says that I should uninstall current instance of p3d before installing a new one. Does this mean I have to perform a clean install of 3.1? Or is this an alternative to the update client?

3) How will this affect my add-ons? I have many airports and a few airplanes purchased from developers, and will I have to reinstall them again? How will this affect licensing? I don't want them to think that I am using these products on another computer...because I'm not.

 

I read forums over here and, due to the debating that is going on there, I am left confused.

All the best

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

The simplest update is to uninstall ONLY the 3.0 client from control panel and then install the 3.1 client. Run, activate and you are done. You shouldn't have any issues with addons or scenery UNLESS you use SETUP.exe to do a FULL install.

 

 

Vic

Share this post


Link to post

If you want to have a fully capable 3.1 system (that you could install from scratch in the future) the 9.8 gb download is that as well as having the capability to update the client from 3.0 to 3.1.

 

Go ahead and download the 9.8 gb and save it.

 

Go to control panel and uninstall the client only.

 

Unzip the downloaded file to a location of your choice.  There well be several files created, one of them will be client.msi which when your run it will reinstall the 3.1 client and you will have to re-license but that is somewhat painless.

 

There should be no issue with scenery, addons etc.  In the case of Orbx (If you have any of their products) you will have to download their latest objectflow.dll from the Orbx website.  I think (but not sure) you can use FTX central to accomplish that also.

 

In my case I did run into a problem in the scenery library with a addon (not a very common one) which caused some issues with 3.1.  It took me awhile to figure it out but once I found and removed that entry 3.1 worked perfectly.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this